SYNK
GET/track/download

Forces an MP3 download prompt for a track. Acts as a proxy to the external full-track streaming server but adds a Content-Disposition header.

Rate limit
20 req/min
Caching
Not cached.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
isrcstringoptionalISRC code.
artiststringoptionalArtist name. Needed if ISRC is missing.
titlestringoptionalTrack title. Needed if ISRC is missing.

Request

curl 'https://api.synkradio.co.uk/track/download' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/track/download?isrc=GBUM71505078&artist=Daft%20Punk&title=Around%20the%20World

Response

Returns binary audio/mpeg. Pipe the response body directly to a file or stream.